Mostly cosmetic improvements throughout easetup.sh

This commit is contained in:
fedora 2019-05-15 07:09:03 +02:00
parent 285a14c433
commit 2261a48e61
Signed by: wanderer
GPG Key ID: 7B28D8DC28BD2388

@ -71,11 +71,10 @@ introduction() {
echo
#NP_USR="$SUDO_USER" # will be using this to run usr commands
echo -e " [*] so, let\'s start off by letting you know ${COL_LIGHT_RED}u're pwnd${COL_NC}..."
echo -e " [${COL_LIGHT_GREEN}\$${COL_NC}] everything you own now belongs to Us!"
echo -e " [*] so, let's start off by letting you know that ${COL_LIGHT_RED}you've just been pwnd${COL_NC}..."
echo -e " [${COL_LIGHT_GREEN}\$${COL_NC}] EVERYTHING YOU OWN NOW BELONGS TO US!"
echo -e " that was supposed to be a joke ofc "
echo -e " [*]${COL_LIGHT_RED} chargin' mah lazer${COL_NC}"
echo
echo
}
@ -92,8 +91,8 @@ isFedora() {
#if [ (grep -iq 'fedora' $relll) || (grep -iq 'centos' $relll) ]; then
echo -e " ${TICK} neat. working on a ${COL_PURPLE}$(cat $relll) ${COL_NC} [hint: supported]"
echo -e " ${INFO} some more detail about you" #cat /proc/version also possible
echo " kernel: v`uname -r`"
echo " platform: `uname -i`"
echo " kernel: v`uname -r`"
echo " platform: `uname -i`"
echo "`command free -m | head -2`"
#fi
}
@ -125,7 +124,6 @@ wineRepos() {
fi
echo -e " ${TICK} winehq repository successfully registered"
echo
}
@ -183,7 +181,7 @@ wineAndFonts() {
echo -e " ${CROSS} failed to install compat font, aborting... \n fonts for win\$hit could be an issue"
unsetVars && exit 1
else
echo -e " ${TICK} carlito compat font successfully installed"
echo -e " ${TICK} carlito compatibility font successfully installed"
echo
fi
fi
@ -212,7 +210,6 @@ _EOF_SCRIPT
unsetVars && exit 1
else
echo -e " ${TICK} setting up winetricks upgrade script"
echo
fi
}
@ -240,21 +237,20 @@ latestWinetricksSelf() {
#chmod 0755 /usr/bin/update_winetricks || echo errrrooor
echo -e " ${TICK} done ${str}"
echo -e " ${INFO} getting us latest winetricksSelf"
echo -e " ${INFO} getting us latest winetricksthemselvesbro"
bash -c '/usr/bin/update_winetricks > /dev/null 2>&1' > /dev/null 2>&1
if [ `echo $?` -ne 0 ]; then
echo -e " ${CROSS} there was an issue with getting/setting up latest winetricksSelf, aborting..."
echo -e " ${CROSS} there was an issue with getting/setting up latest winetricksthemselvesbro, aborting..."
unsetVars && exit 1
fi
echo -e " ${TICK} setting the correct permissions on winetricksSelf"
echo -e " ${TICK} setting the correct permissions on winetricksthemselvesbro"
chmod 0755 /usr/bin/winetricks
if [ `echo $?` -ne 0 ]; then
echo -e " ${CROSS} there was an issue setting the correct permissions on winetricksSelf, aborting..."
echo -e " ${CROSS} there was an issue setting the correct permissions on winetricksthemselvesbro, aborting..."
unsetVars && exit 1
else
echo -e " ${TICK} latest winetricksSelf is all set"
echo
echo -e " ${TICK} latest winetricksthemselvesbro is all set"
fi
}
@ -268,7 +264,6 @@ winetricksPkgsxyz() {
su $NP_USR bash -c "winetricks mdac28" || echo -e " ${CROSS} there's been an error getting mdac28 ready" && unsetVars && exit 1
su $NP_USR bash -c "winetricks --force mdac28"
echo -e " ${TICK} ${str}"
echo
}
################
@ -276,7 +271,6 @@ winetricksPkgs() {
local str="installing ea winetricks dep-packages"
echo -e " ${INFO} ${str}"
echo -e " ${WARNING} user assistance may be needed for next few steps ${COL_NC}"
echo
###
# echo -e " ${INFO} attempting to install wine-mono"
@ -300,7 +294,6 @@ winetricksPkgs() {
# unsetVars && exit 1
# else
# echo -e " ${TICK} wine-mono-4.7.3.msi successfully installed"
# echo
# fi
#
#
@ -350,7 +343,6 @@ winetricksPkgs() {
# unsetVars && exit 1
# else
# echo -e " ${TICK} wine_gecko-2.47-x86_64.msi successfully installed"
# echo
# fi
###
@ -404,14 +396,12 @@ winetricksPkgs() {
#su $NP_USR bash -c 'winetricks -q --force mdac28'
echo -e " ${TICK} ${str}"
echo
}
eaInstall() {
echo -e " ${INFO} getting an ea msi and executing it [\e[1m\e[35mthat's the thing\e[0m]"
echo -e " ${WARNING} user assistance may be needed ${COL_NC}"
echo
# broken installation
##bash -c "curl -O https://www.sparxsystems.com/bin/easetup.msi"
@ -448,7 +438,6 @@ _EOF_SCRIPT
unsetVars && exit 1
else
echo -e " ${TICK} easetup.msi successfully installed"
echo
fi
#debugF() {